
-- | Comparing the Chern root vs. the Chern class versions for stuff in
-- "Math.RootLoci.CSM.Equivariant.Direct"

{-# LANGUAGE Rank2Types, GADTs, TypeFamilies #-}
module Tests.RootVsClass.Direct where

--------------------------------------------------------------------------------

import Data.Proxy

import Math.Combinat.Partitions

import Math.RootLoci.Algebra
import Math.RootLoci.Geometry
import Math.RootLoci.Misc

import Math.RootLoci.CSM.Equivariant.Direct 

import Tests.Common
import Tests.RootVsClass.Check

import Test.Tasty
import Test.Tasty.HUnit

--------------------------------------------------------------------------------

all_tests = testGroup "direct"
  [ testCase "open CSM"      (forAllPart 9 "failed" prop_directOpenCSM  ) 
  , testCase "closed CSM"    (forAllPart 9 "failed" prop_directClosedCSM) 
  ]
  
prop_directOpenCSM   part = checkGam (directOpenCSM   part)
prop_directClosedCSM part = checkGam (directClosedCSM part)

--------------------------------------------------------------------------------
